---
- include: install-puppet-centos.yml
  when: ansible_distribution == 'CentOS'

- include: install-puppet-rasp.yml
  when: ansible_architecture == "aarch64"

- include: install-puppet-deb.yml
  when: ansible_architecture != "aarch64" and ansible_os_family == "Debian"

- include: configure-puppet.yml